2019-11-12 02:44 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000735Spring engineGeneralpublic2007-12-29 20:00
Reporterimbaczek 
Assigned Toimbaczek 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000735: replays of scripted games (with GameSetup) don't work
Descriptiontwo modes of failure:
1. host-recorded replay - loads but doesn't do anything (waiting for players/choose start pos waits forever)
2. client-recorded - "Wrong connection ID in CNet::IsActiveConnection()"
Additional Information[19:38] baczek: Auswaschbar: replays don't work, this time with scripted games
[19:38] Auswaschbar: baczek: any error message?
[19:38] baczek: two modes of failure:
[19:39] baczek: 1. host-recorded replay - loads but doesn't do anything (waiting for players/choose start pos waits forever)
[19:39] baczek: 2. client-recorded - isActiveConnection error
[19:40] baczek: or the other way around, don't know which dir has which replays
[19:41] Auswaschbar: do both of them contain gameSetup scripts?
[19:41] baczek: yes
[19:43] tvo: Auswaschbar: no rendering happens if incoming network buffer has too much data right?
[19:44] tvo: baczek / Auswaschbar client recorded gives isActiveConnection error yeah
[19:44] tvo: "Wrong connection ID in CNet::IsActiveConnection()"
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • ? file icon host.sdf (61,160 bytes) 2007-12-27 22:43

-Relationships
+Relationships

-Notes

~0001563

Auswaschbar (reporter)

1. got fixed (I tested it)
2. I hope I fixed it, please test again (I can't do it at the moment because of only 1 working PC)

~0001564

imbaczek (reporter)

testing now (nb I test using just one box and two spring instances.)

~0001566

imbaczek (reporter)

tested. some commands get lost (same in host- and client-recorded demos.)

attaching ES 0.5 demo. top left fighter gate should be completed (and was completed in the real game.)

~0001573

imbaczek (reporter)

update: i think the reason for that gate not being completed is that coms were spawned before choosing start positions in the replay. Distance is different, so command to stop is issued before construction completes.

~0001575

Auswaschbar (reporter)

Got fixed
+Notes

-Issue History
Date Modified Username Field Change
2007-12-27 20:06 imbaczek New Issue
2007-12-27 20:08 imbaczek Severity minor => crash
2007-12-27 21:40 Auswaschbar Note Added: 0001563
2007-12-27 21:41 Auswaschbar Assigned To => imbaczek
2007-12-27 21:41 Auswaschbar Status new => feedback
2007-12-27 22:13 imbaczek Note Added: 0001564
2007-12-27 22:42 imbaczek Note Added: 0001566
2007-12-27 22:43 imbaczek File Added: host.sdf
2007-12-29 19:03 imbaczek Note Added: 0001573
2007-12-29 20:00 Auswaschbar Status feedback => resolved
2007-12-29 20:00 Auswaschbar Resolution open => fixed
2007-12-29 20:00 Auswaschbar Note Added: 0001575
+Issue History